DCMTK: ConcatenationLoader::Info Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
ConcatenationLoader::Info Struct Reference

Structure representing information about a Concatenation, consisting of its instances and common data. More...

## Classes
struct | Instance
| Struct representing single SOP Instance being part of a Concatenation. More...

## Public Member Functions
| Info ()
| Default constructor.
| Info (const Info &rhs)
| Copy constructor.
Info & | operator= (const Info &rhs)
| Assignment operator.
void | print (OFStringStream &out)
| Print overview of this Concatenation.
virtual | ~Info ()
| Virtual destructor.

## Public Attributes
OFList< Instance > | m_Files
| List of instances that belong to this Concatenation.
OFFilename | m_FileConatenationSource
| File that contains the source of this Concatenation, i.e.
OFString | m_ConcatenationUID
| Concatenation UID of this Concatenation, extracted from concatenation instances.
OFString | m_SourceUID
| SOP Instance UID of Concatenation Source, extracted from concatenation instances.
Uint16 | m_inConcatTotalNumber
| In-Concatenation Total Number, extracted from concatenation instances (optional in DICOM)
size_t | m_NumTotalFrames
| Total number of frames, i.e.
OFString | m_PatientID
| Patient ID extracted from concatenation instances.
OFString | m_StudyInstanceUID
| Study Instance UID extracted from concatenation instances.
OFString | m_SeriesInstanceUID
| Series Instance UID extracted from concatenation instances.
OFString | m_SOPClassUID
| SOP Class UID extracted from concatenation instances.
Uint16 | m_BitsAlloc
| Bits Allocated extracted from concatenation instances.
Uint16 | m_Rows
| Rows extracted from concatenation instances.
Uint16 | m_Cols
| Columns extracted from concatenation instances.

## Detailed Description

Structure representing information about a Concatenation, consisting of its instances and common data.

## Constructor & Destructor Documentation

## ◆ Info()

ConcatenationLoader::Info::Info | ( | const Info & | rhs | ) |

Copy constructor.

Parameters

  rhs | The Info to copy from

References Info().

## Member Function Documentation

## ◆ operator=()

Info & ConcatenationLoader::Info::operator= | ( | const Info & | rhs | ) |

Assignment operator.

Parameters

  rhs | The Info to copy from

Returns
  Reference to "this" object

References Info().

## ◆ print()

void ConcatenationLoader::Info::print | ( | OFStringStream & | out | ) |

Print overview of this Concatenation.

Parameters

  out | The stream to print to

## Member Data Documentation

## ◆ m_FileConatenationSource

OFFilename ConcatenationLoader::Info::m_FileConatenationSource

File that contains the source of this Concatenation, i.e.

the SOP Instance UID of Concatenation Source tag points to. Might be empty if such file is not found during scanning.

## ◆ m_NumTotalFrames

size_t ConcatenationLoader::Info::m_NumTotalFrames

Total number of frames, i.e.

the number of frames that make up this concatenation instance. The number is computed by summing up the number of frames in instances found during scanning.

The documentation for this struct was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/concatenationloader.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2